# BEGIN SourceDeps(oneline):
BuildRequires: perl(MIME/Entity.pm) perl(MIME/Parser.pm) perl(Mail/Mailer.pm)
# END SourceDeps(oneline)
Summary: Yerase's TNEF Stream Reader
Name: ytnef
Version: 2.6
Release: alt1_9
License: GPL+
Group: Office
URL: http://sourceforge.net/projects/ytnef/
Source0: http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
BuildRequires: libytnef-devel

Patch0: ytnef_fix_requires.patch
Source44: import.info

%description
Yerase's TNEF Stream Reader.  Can take a TNEF Stream (winmail.dat) sent from
Microsoft Outlook (or similar products) and extract the attachments, including
construction of Contact Cards & Calendar entries.

%prep
%setup -q
%patch0 -p2


#fix location
%{__sed} -i 's|my $reader = "/usr/local/bin/ytnef";|my $reader = "%{_bindir}/ytnef";|g' src/ytnef/ytnefprocess.pl


%build
%configure
%{__make} %{?_smp_mflags} CFLAGS="$RPM_OPT_FLAGS -I%{_includedir}/libytnef"

%install
%{__make}  install DESTDIR=$RPM_BUILD_ROOT

%files
%doc COPYING README INSTALL ChangeLog
%{_bindir}/ytnef
%{_bindir}/ytnefprint
%{_bindir}/ytnefprocess.pl

%changelog
* Wed Feb 27 2013 Igor Vlasenko <viy@altlinux.ru> 2.6-alt1_9
- update to new release by fcimport

* Thu Aug 02 2012 Igor Vlasenko <viy@altlinux.ru> 2.6-alt1_8
- update to new release by fcimport

* Fri Jun 08 2012 Igor Vlasenko <viy@altlinux.ru> 2.6-alt1_7
- fc import

